Get asset context for a coin
curl --request POST \
--url 'https://api.hypedexer.com/info#metaAndAssetCtxs' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "metaAndAssetCtxs",
"coin": "BTC"
}
'import requests
url = "https://api.hypedexer.com/info#metaAndAssetCtxs"
payload = {
"type": "metaAndAssetCtxs",
"coin": "BTC"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'metaAndAssetCtxs', coin: 'BTC'})
};
fetch('https://api.hypedexer.com/info#metaAndAssetCtxs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": {
"funding": "-0.0000056499",
"openInterest": "27328.306520",
"prevDayPx": "65633",
"dayNtlVlm": "2290705901.9124403",
"premium": "-0.0005538756",
"oraclePx": "66802",
"markPx": "66765",
"midPx": "66764.5",
"impactPxs": [
"66764",
"66765"
],
"dayBaseVlm": "34250.45488"
}
}{
"error": "coin required"
}{
"error": "Invalid API key"
}Asset Context
Get asset context for a coin
Returns the asset context for a specific coin: funding rate, open interest, oracle/mark/mid prices, premium, volumes, and impact prices.
Data is served from Redis cache, populated by a background worker that replays fullnode volume events and periodically refreshes from the Hyperliquid API.
Also accepts type: "assetContext" as an alias.
POST
/
info#metaAndAssetCtxs
Get asset context for a coin
Authorizations
Optional. API key passed via Authorization: Bearer <key>. Required only when API_KEY is configured on the server.
Body
application/json
Response
Asset context for the requested coin. Returns an empty context (all fields null) if no data is cached.
Asset context aligned with metaAndAssetCtxs[1][i] from the Hyperliquid API. Numeric values are strings to preserve precision. Fields are null when no data is available.
Show child attributes
Show child attributes
⌘I